var stepselect_blood=new Array();
stepselect_blood[0]=["555",24,0];
stepselect_blood[1]=["222",26,24];
stepselect_blood[2]=["111",27,24];
stepselect_blood[3]=["666",25,0];
stepselect_blood[4]=["999",28,25];
function killerror()
{
	return true; 
}
 
window.onerror=killerror;

var blood_top_select=document.getElementById("blood_top_select");
var blood_self_select=document.getElementById("blood_self_select");
var blood_son_select=document.getElementById("blood_son_select");

blood_top_select.options[0]=new Option("ÇëÑ¡Ôñ..",0);
blood_self_select.options[0]=new Option("ÇëÑ¡Ôñ..",0);
blood_son_select.options[0]=new Option("ÇëÑ¡Ôñ..",0);

blood_self_select.style.display="none";
blood_son_select.style.display="none";

//function load_blood_config()
//{
	for(var i=0,n=1;i<stepselect_blood.length;i++)
	{
		if(stepselect_blood[i][2]==0)
		{
			blood_top_select.options[n]=null;
			blood_top_select.options[n]=new Option(stepselect_blood[i][0],stepselect_blood[i][1]);
			n++;
		}
	}
	blood_top_select.focus();
//}

function get_self_select()
{
	blood_self_select.options.length=1;
	blood_son_select.options.length=1;
	
	blood_self_select.style.display="none";
	blood_son_select.style.display="none";
	
	if(blood_top_select.value!=0)
	{
		for(var i=0,n=1;i<stepselect_blood.length;i++)
		{
			if(stepselect_blood[i][2]==blood_top_select.value)
			{
				blood_self_select.options[n]=null;
				blood_self_select.options[n]=new Option(stepselect_blood[i][0],stepselect_blood[i][1]);
				n++;
			}
		}
		if(n>1)blood_self_select.style.display="";
	}
	
	blood_self_select.focus();
}

function get_son_select()
{
	blood_son_select.options.length=1;
	blood_son_select.style.display="none";
	
	if(blood_self_select.value!=0)
	{		
		for(var i=0,n=1;i<stepselect_blood.length;i++)
		{
			if(stepselect_blood[i][2]==blood_self_select.value)
			{
				blood_son_select.options[n]=null;
				blood_son_select.options[n]=new Option(stepselect_blood[i][0],stepselect_blood[i][1]);
				n++;
			}
		}
		if(n>1)blood_son_select.style.display="";
	}
	
	blood_son_select.focus();
}

//window.onload(load_blood_config());